Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphTable.RuleSet

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphTable.RuleSet

Direct Known Subclasses:
  GlyphTable.HomogeneousRuleSet

Enclosing class:
  GlyphTable

    public static class GlyphTable.RuleSet

extends java.lang.Object

The `RuleSet` class implements a collection of rules, which may or may not be the same rule type.

Constructor Summary
`GlyphTable.RuleSet(GlyphTable.Rule[] rules)` Instantiate a Rule Set.

Method Summary
`GlyphTable.Rule[]` | `getRules()`
`void` | `resolveLookupReferences(java.util.Map lookupTables)` Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphTable.RuleSet

    public GlyphTable.RuleSet(GlyphTable.Rule[] rules)
                       throws AdvancedTypographicTableFormatException

  Instantiate a Rule Set.

  Parameters:
    `rules` - the rules
  Throws:
    `AdvancedTypographicTableFormatException` - if rules or some element of rules is null

Method Detail

### getRules

    public GlyphTable.Rule[] getRules()

  Returns:
    the rules

### resolveLookupReferences

    public void resolveLookupReferences(java.util.Map lookupTables)

  Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.

  Parameters:
    `lookupTables` - map from lookup table identifers, e.g. "lu4", to lookup tables

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.